Edit widget 'Editable' checkbox stays checked even after unchecking it

2014-07-16 01:14 AM - Gavin Fleming

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Edit widget

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19264

Description

There seems to be no way now to make a field visible but not editable. The 'Immutable' widget has disappeared and unchecking the

'editable' checkbox has no effect since it appears checked again the next time you open Properties. (Tested on text edit widget)

QGIS version    2.5.0-Master    QGIS code revision    exported

Compiled against Qt    4.8.6    Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.0    Running against GDAL/OGR    1.11.0

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.4    SpatiaLite Version    4.1.1

QWT Version    5.2.3    PROJ.4 Version    480

QScintilla2 Version    2.8.1

History

#1 - 2014-07-17 06:07 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Category set to Edit widget

#2 - 2014-07-22 03:24 PM - Matthias Kuhn

- Status changed from Open to Feedback

Works fine for me.

Can you attach a sample project please.

#3 - 2014-09-22 03:55 PM - Pedro Venâncio

- File text_edit_not_editable.png added

- Assignee set to Matthias Kuhn

I do not confirm the problem as described, but confirm the more general problem of, at this moment, there is no possibility of put a visible but not editable

field.

This is because in Form View, text fields (text edit widget) despite being marked as not editable ('editable' checkbox unchecked), can be erased with the

arrow button (see the image attached). This is a regression. The present form is useful because it allows us to select and copy the contents of the field, but

still I think I preferred the old way (gray field, not selectable).

#4 - 2014-09-22 11:53 PM - Matthias Kuhn
What about the best of both worlds? ;-)

If it's only the clear button, that should be easy to fix.

#5 - 2014-09-23 12:32 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Clear button fixed in commit:72a33ea

The original issue seems not to be reproducible and needs more information. If somebody is able to provide this information, please reopen.

Files
